#/*
#	Makefile for ariad
#	Source code put in public domain by Didier Stevens, no Copyright
#	https://DidierStevens.com
#	Use at your own risk
#
# Developed with Borland's free C++ compiler: http://cc.codegear.com/Free.aspx?id=24778
#
#	Shortcomings, or todo's ;-)
#	
#	History:
#	  2009/02/11: Start
#	  2009/11/03: Added dialog
#		2009/11/04: ..\common\ariad.h
#*/


BCC = $(MAKEDIR)\..
CFLAGS = -W -DINCLUDE_RESOURCE -I$(BCC)\include -L$(BCC)\lib
TARGETS_SIGN = ariad.exe
TARGETS = $(TARGETS_SIGN)

.autodepend

AllFiles: $(TARGETS) 

#TARGETS_SIGN

ariad.exe: ariad.c ariad.res resource.h ..\common\ariad.h
      $(CC) $(CFLAGS) $&.c

ariad.res: ariad.rc ariad.exe.manifest resource.h

clean-up:
	del *.bak *.obj *.tds *.res
	
delete-targets:
	del $(TARGETS)

sign:
	$(MYDIRS)\bin\signtool sign /sha1 6450A4BC7E05364B89518F91E90E46161E7F0D6B /t http://timestamp.verisign.com/scripts/timstamp.dll $(TARGETS_SIGN)
