/*
	Ariad
	Source code put in public domain by Didier Stevens, no Copyright
	http://didierstevens.com
	Use at your own risk

	Shortcommings, or todo's ;-)
	
	History:
		2009/11/04: start
*/

#define SETTINGS_REMOVABLE(x) (x & 0xFF)
#define SETTINGS_CDROM(x) ((x & 0xFF00) >> 8)
#define SETTINGS_DISK(x) ((x & 0xFF0000) >> 16)
#define SETTINGS_NETWORK(x) ((x & 0xFF000000) >> 24)

#define SETTINGS_SET_REMOVABLE(x) (x)
#define SETTINGS_SET_CDROM(x) ((x) << 8)
#define SETTINGS_SET_DISK(x) ((x) << 16)
#define SETTINGS_SET_NETWORK(x) ((x) << 24)

#define SETTINGS_AUTORUNINF 0x01
#define SETTINGS_EXECUTABLES SETTINGS_AUTORUNINF << 1
#define SETTINGS_BLOCK SETTINGS_AUTORUNINF << 2
#define SETTINGS_READONLY SETTINGS_AUTORUNINF << 3
#define SETTINGS_NOFILEEXECUTE SETTINGS_AUTORUNINF << 4

#define REGISTRY_ALLOWDRIVES						_TEXT("AllowDrives")
#define REGISTRY_EXCEPTIONTIMEHIGHPART	_TEXT("ExceptionTimeHighPart")
#define REGISTRY_EXCEPTIONTIMELOWPART		_TEXT("ExceptionTimeLowPart")
#define REGISTRY_SETTINGS								_TEXT("Settings")
#define REGISTRY_PATH										_TEXT("SYSTEM\\CurrentControlSet\\Services\\Ariad")
